# Maintainer: Carlos Aznarán <caznaranl@uni.pe>
_base=splinepy
pkgname=python-${_base}
# _gitcommit=0d198d4e13213307fc3b99620b48ee66547204e0
pkgver=0.0.50
pkgrel=1
pkgdesc="Python N-Dimensional Bezier, RationalBezier, BSpline and NURBS library with C++ Backend"
url="https://tataratat.github.io/${_base}"
license=(MIT)
arch=(any)
depends=(python-gustaf)
makedepends=(python-build python-installer python-scikit-build-core python-wheel) # cmake git | ninja pybind11
# checkdepends=(python-pytest)
source=(https://pypi.org/packages/source/${_base::1}/${_base}/${_base}-${pkgver}.tar.gz)
# source=(${_base}-${pkgver}::git+https://github.com/tataratat/${_base}.git#commit=${_gitcommit}
#   github.com-pybind-pybind11::git+https://github.com/pybind/pybind11.git
#   github.com-tataratat-napf::git+https://github.com/tataratat/napf.git
#   github.com-tataratat-BSplineLib::git+https://github.com/tataratat/BSplineLib.git
#   github.com-tataratat-bezman::git+https://github.com/tataratat/bezman.git)
sha512sums=('1aa878ffd4bf1b311841cd2f2e0e5db148ebd45817a8e7c8f1757e35330a378b5b887c4ab290c283682fe4e80b944c4e771068434910a5e05e740217a3a1f68a')
# sha512sums=('SKIP'
#   'SKIP'
#   'SKIP'
#   'SKIP'
#   'SKIP')

# prepare() {
#   cd ${_base}-${pkgver}
#   sed -i 's/git@github.com:/https:\/\/github.com\//' .gitmodules

#   # setup git submodules
#   git submodule init
#   git config submodule.third_party/pybind11.url "${srcdir}/github.com-pybind-pybind11"
#   git config submodule.third_party/napf.url "${srcdir}/github.com-tataratat-napf"
#   git config submodule.third_party/BSplineLib.url "${srcdir}/github.com-tataratat-BSplineLib"
#   git config submodule.third_party/bezman.url "${srcdir}/github.com-tataratat-bezman"
#   git -c protocol.file.allow=always submodule update
#   # https://stackoverflow.com/a/74690826
#   # sed -i '14 a find_package(pybind11 REQUIRED)' src/py/CMakeLists.txt
# }

build() {
  cd ${_base}-${pkgver}
  # python setup.py build_ext --inplace
  python -m build --wheel --skip-dependency-check --no-isolation
}

# check() {
#   cd ${_base}-${pkgver}
#   python -m venv --system-site-packages test-env
#   test-env/bin/python -m installer dist/*.whl
#   test-env/bin/python -m pytest
# }

package() {
  cd ${_base}-${pkgver}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -m installer --destdir="${pkgdir}" dist/*.whl
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
  install -Dm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
}
